<app-loading *ngIf="isLoadingPage"></app-loading>
<form nz-form [formGroup]="form">
  <div nz-row [nzGutter]="[30,30]">
    <!-- Từ tháng -->
    <div nz-col [nzXs]="24" [nzLg]="12">
      <mb-date-picker
        [mbType]="isSubmitted && (form.controls['fromDate'].errors || form.errors?.rangeDateError) ? 'error' : 'default'"
        [mbShowError]="isSubmitted && (form.controls['fromDate'].errors || form.errors?.rangeDateError) !== null"
        [mbErrors]="form.errors?.rangeDateError ? form.errors : form.controls['fromDate'].errors"
        [mbErrorDefs]="[
        { errorName: 'required', errorDescription: 'staffManager.validate.required' | translate: {'param': 'staffManager.workHisBeforeInformation.label.attributes.fromDate' | translate }},
        { errorName: 'rangeDateError', errorDescription: 'staffManager.validate.rangeDate.pareDate' | translate:
        {'fromDate': 'staffManager.workHisBeforeInformation.label.attributes.fromDate' | translate, 'toDate': 'staffManager.workHisBeforeInformation.label.attributes.toDate' | translate}}
        ]"
        mbPlaceholderText="{{'staffManager.workHisBeforeInformation.label.attributes.fromDate' | translate}}"
        mbLabelText="{{'staffManager.workHisBeforeInformation.label.attributes.fromDate' | translate}} <span class='label__required'>*</span>"
        mbMode="month"
        formControlName="fromDate">
      </mb-date-picker>
    </div>

    <!-- Đến tháng-->
    <div nz-col [nzXs]="24" [nzLg]="12">
      <mb-date-picker
        [mbType]="isSubmitted && form.controls['toDate'].errors ? 'error' : 'default'"
        [mbShowError]="isSubmitted && form.controls['toDate'].errors !== null"
        [mbErrors]="form.controls['toDate'].errors"
        [mbErrorDefs]="[{ errorName: 'required', errorDescription: 'staffManager.validate.required' | translate: {'param': 'staffManager.workHisBeforeInformation.label.attributes.toDate' | translate }}]"
        mbPlaceholderText="{{'staffManager.workHisBeforeInformation.label.attributes.toDate' | translate}}"
        mbLabelText="{{'staffManager.workHisBeforeInformation.label.attributes.toDate' | translate}} <span class='label__required'>*</span>"
        mbMode="month"
        formControlName="toDate">
      </mb-date-picker>
    </div>

    <div nz-col [nzXs]="24" [nzLg]="12">
      <mb-input-text
        formControlName="organizationName"
        [mbMaxLength]="200"
        [mbType]="isSubmitted && form.controls['organizationName'].errors ? 'error' : 'default'"
        [mbShowError]="isSubmitted && form.controls['organizationName'].errors !== null"
        [mbErrors]="form.controls['organizationName'].errors"
        [mbErrorDefs]="[{ errorName: 'maxlength', errorDescription: 'staffManager.validate.maxLength' | translate: {'numberLength': '200' | translate }},
              { errorName: 'required', errorDescription: 'staffManager.validate.required' | translate: {'param': 'staffManager.workHisBeforeInformation.label.attributes.organizationName' | translate }}
        ]"
        mbPlaceholderText="{{'staffManager.workHisBeforeInformation.label.attributes.organizationName' | translate}}"
        mbLabelText="{{'staffManager.workHisBeforeInformation.label.attributes.organizationName' | translate}} <span class='label__required'>*</span>"></mb-input-text>
    </div>
    <div nz-col [nzXs]="24" [nzLg]="12">
      <mb-input-text
        [mbMaxLength]="200"
        formControlName="positionName"
        [mbType]="isSubmitted && form.controls['positionName'].errors ? 'error' : 'default'"
        [mbShowError]="isSubmitted && form.controls['positionName'].errors !== null"
        [mbErrors]="form.controls['positionName'].errors"
        [mbErrorDefs]="[{ errorName: 'maxlength', errorDescription: 'staffManager.validate.maxLength' | translate: {'numberLength': '200' | translate }},
             { errorName: 'required', errorDescription: 'staffManager.validate.required' | translate: {'param': 'staffManager.workHisBeforeInformation.label.attributes.positionName' | translate }}
        ]"
        mbPlaceholderText="{{'staffManager.workHisBeforeInformation.label.attributes.positionName' | translate}}"
        mbLabelText="{{'staffManager.workHisBeforeInformation.label.attributes.positionName' | translate}} <span class='label__required'>*</span>"></mb-input-text>
    </div>
    <div nz-col [nzXs]="24" [nzLg]="12">
      <mb-input-text
        [mbMaxLength]="200"
        [mbType]="isSubmitted && form.controls['referPerson'].errors ? 'error' : 'default'"
        [mbShowError]="isSubmitted && form.controls['referPerson'].errors !== null"
        [mbErrors]="form.controls['referPerson'].errors"
        [mbErrorDefs]="[{ errorName: 'maxlength', errorDescription: 'staffManager.validate.maxLength' | translate: {'numberLength': '200' | translate }}]"
        mbPlaceholderText="{{'staffManager.workHisBeforeInformation.label.attributes.referPerson' | translate}}"
        mbLabelText="{{'staffManager.workHisBeforeInformation.label.attributes.referPerson' | translate}}"
        formControlName="referPerson"></mb-input-text>
    </div>
    <div nz-col [nzXs]="24" [nzLg]="12">
      <mb-input-text
        [mbMaxLength]="200"
        [mbType]="isSubmitted && form.controls['referPersonPosition'].errors ? 'error' : 'default'"
        [mbShowError]="isSubmitted && form.controls['referPersonPosition'].errors !== null"
        [mbErrors]="form.controls['referPersonPosition'].errors"
        [mbErrorDefs]="[{ errorName: 'maxlength', errorDescription: 'staffManager.validate.maxLength' | translate: {'numberLength': '200' | translate }}]"
        mbPlaceholderText="{{'staffManager.workHisBeforeInformation.label.attributes.referPersonPosition' | translate}}"
        mbLabelText="{{'staffManager.workHisBeforeInformation.label.attributes.referPersonPosition' | translate}}"
        formControlName="referPersonPosition"></mb-input-text>
    </div>
    <div nz-col [nzXs]="24" [nzLg]="12">
      <mb-input-text
        [mbIsTextAre]="true"
        [mbMaxLength]="1000"
        [mbType]="isSubmitted && form.controls['mission'].errors ? 'error' : 'default'"
        [mbShowError]="isSubmitted && form.controls['mission'].errors !== null"
        [mbErrors]="form.controls['mission'].errors"
        [mbErrorDefs]="[{ errorName: 'maxlength', errorDescription: 'staffManager.validate.maxLength' | translate: {'numberLength': '1000' | translate }}]"
        mbPlaceholderText="{{'staffManager.workHisBeforeInformation.label.attributes.mission' | translate}}"
        mbLabelText="{{'staffManager.workHisBeforeInformation.label.attributes.mission' | translate}}"
        formControlName="mission"></mb-input-text>
    </div>
    <div nz-col [nzXs]="24" [nzLg]="12">
      <mb-input-text
        [mbIsTextAre]="true"
        [mbMaxLength]="500"
        [mbType]="isSubmitted && form.controls['reasonLeave'].errors ? 'error' : 'default'"
        [mbShowError]="isSubmitted && form.controls['reasonLeave'].errors !== null"
        [mbErrors]="form.controls['reasonLeave'].errors"
        [mbErrorDefs]="[{ errorName: 'maxlength', errorDescription: 'staffManager.validate.maxLength' | translate: {'numberLength': '500' | translate }}]"
        mbPlaceholderText="{{'staffManager.workHisBeforeInformation.label.attributes.reasonLeave' | translate}}"
        mbLabelText="{{'staffManager.workHisBeforeInformation.label.attributes.reasonLeave' | translate}}"
        formControlName="reasonLeave"></mb-input-text>
    </div>
    <div nz-col [nzXs]="24" [nzLg]="12">
      <mb-input-text
        [mbIsTextAre]="true"
        [mbMaxLength]="1000"
        [mbType]="isSubmitted && form.controls['rewardInfo'].errors ? 'error' : 'default'"
        [mbShowError]="isSubmitted && form.controls['rewardInfo'].errors !== null"
        [mbErrors]="form.controls['rewardInfo'].errors"
        [mbErrorDefs]="[{ errorName: 'maxlength', errorDescription: 'staffManager.validate.maxLength' | translate: {'numberLength': '1000' | translate }}]"
        mbPlaceholderText="{{'staffManager.workHisBeforeInformation.label.attributes.rewardInfo' | translate}}"
        mbLabelText="{{'staffManager.workHisBeforeInformation.label.attributes.rewardInfo' | translate}}"
        formControlName="rewardInfo"></mb-input-text>
    </div>
    <div nz-col [nzXs]="24" [nzLg]="12">
      <mb-input-text
        [mbIsTextAre]="true"
        [mbMaxLength]="500"
        mbPlaceholderText="{{'staffManager.workHisBeforeInformation.label.attributes.decplineInfo' | translate}}"
        mbLabelText="{{'staffManager.workHisBeforeInformation.label.attributes.decplineInfo' | translate}}"
        [mbType]="isSubmitted && form.controls['decplineInfo'].errors ? 'error' : 'default'"
        [mbShowError]="isSubmitted && form.controls['decplineInfo'].errors !== null"
        [mbErrors]="form.controls['decplineInfo'].errors"
        [mbErrorDefs]="[{ errorName: 'maxlength', errorDescription: 'staffManager.validate.maxLength' | translate: {'numberLength': '1000' | translate }}]"
        formControlName="decplineInfo"></mb-input-text>
    </div>
  </div>
</form>
